# gnumake

all: binx/chess3f binx/chess3w

binx/chess3f: objx/chess3f.pl
	gplc -o $@ --fast-math --min-size --local-size 162000 --global-size 80000 --trail-size 20100 $<

binx/chess3w: objx/chess3w.pl
	gplc -o $@ --fast-math --min-size --local-size 162000 --global-size 80000 --trail-size 20100 $<

objx/chess3f.pl: chess3.pro
	cpp -P -DBRETT_3F $< $@

objx/chess3w.pl: chess3.pro
	cpp -P -DBRETT_3W $< $@

